> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiber.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment

> Create a new payment link.



## OpenAPI

````yaml POST /v1/pay/:username
openapi: 3.1.0
info:
  title: Fiber API
  description: Fiber API
  version: 1.0.0
servers:
  - url: https://api.fiber.so
    description: Production Fiber API
security: []
paths:
  /v1/pay/:username:
    post:
      description: Create a new payment link.
      parameters:
        - name: username
          in: path
          description: The username to create a payment link for
          required: true
          schema:
            type: string
      requestBody:
        description: Payment details to send to the recipient
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewPaymentLink'
        required: true
      responses:
        '200':
          description: Payment link created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLink'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewPaymentLink:
      required:
        - asset
        - amount
      type: object
      properties:
        asset:
          description: The asset to send the payment in, only USD is supported.
          type: enum
          enum:
            - USD
          default: USD
        amount:
          description: The amount to send the payment in
          type: number
          maximum: 1000000
          minimum: 0.01
        memo:
          description: The memo to send with the payment
          type: string
          maxLength: 255
    PaymentLink:
      required:
        - name
      type: object
      properties:
        id:
          description: The ID of the payment link
          type: string
          example: ad1db6ed-32ea-4054-ba0b-7df45665bc9c
        address:
          description: The address to send the payment to
          type: string
          example: '0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97'
        link:
          description: The link to the payment page
          type: string
          example: https://pay.fiber.so/ad1db6ed-32ea-4054-ba0b-7df45665bc9c
        status:
          description: The status of the payment link
          type: string
          enum:
            - completed
            - pending
          example: pending
        acceptedTokens:
          description: The assets that are accepted for the payment link
          type: array
          items:
            $ref: '#/components/schemas/AcceptedToken'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    AcceptedToken:
      required:
        - asset
        - chainId
      type: object
      properties:
        address:
          type: address
          format: address
          example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
          description: The token address
        chainId:
          type: number
          example: 1
          description: The chain ID to send the payment on
        symbol:
          type: string
          example: USDC
          description: The symbol of the token
        name:
          type: string
          example: USD Coin
          description: The name of the token

````